Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.jdo
Class JDOFatalDataStoreException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  javax.jdo.JDOException
                      javax.jdo.JDOFatalException
                          javax.jdo.JDOFatalDataStoreException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  JDOOptimisticVerificationException

    public class JDOFatalDataStoreException

extends JDOFatalException

This class represents data store exceptions that cannot be retried.

Version:
  1.0.1
See Also:
  Serialized Form

Constructor Summary
`JDOFatalDataStoreException()` Constructs a new `JDOFatalDataStoreException` without a detail message.
`JDOFatalDataStoreException(java.lang.String msg)` Constructs a new `JDOFatalDataStoreException` with the specified detail message.
`JDOFatalDataStoreException(java.lang.String msg, java.lang.Object failed)` Constructs a new `JDOFatalDataStoreException` with the specified detail message and failed object.
`JDOFatalDataStoreException(java.lang.String msg, java.lang.Throwable nested)` Constructs a new `JDOFatalDataStoreException` with the specified detail message and nested `Throwable`s.
`JDOFatalDataStoreException(java.lang.String msg, java.lang.Throwable[] nested)` Constructs a new `JDOFatalDataStoreException` with the specified detail message and nested `Throwable`s.

Method Summary

Methods inherited from class javax.jdo.JDOException
`getCause, getFailedObject, getNestedExceptions, initCause, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JDOFatalDataStoreException

    public JDOFatalDataStoreException()

  Constructs a new `JDOFatalDataStoreException` without a detail message.

### JDOFatalDataStoreException

    public JDOFatalDataStoreException(java.lang.String msg)

  Constructs a new `JDOFatalDataStoreException` with the specified detail message.

  Parameters:
    `msg` - the detail message.

### JDOFatalDataStoreException

    public JDOFatalDataStoreException(java.lang.String msg,
                                      java.lang.Object failed)

  Constructs a new `JDOFatalDataStoreException` with the specified detail message and failed object.

  Parameters:
    `msg` - the detail message.
    `failed` - the failed object.

### JDOFatalDataStoreException

    public JDOFatalDataStoreException(java.lang.String msg,
                                      java.lang.Throwable[] nested)

  Constructs a new `JDOFatalDataStoreException` with the specified detail message and nested `Throwable`s.

  Parameters:
    `msg` - the detail message.
    `nested` - the nested `Throwable[]`.

### JDOFatalDataStoreException

    public JDOFatalDataStoreException(java.lang.String msg,
                                      java.lang.Throwable nested)

  Constructs a new `JDOFatalDataStoreException` with the specified detail message and nested `Throwable`s.

  Parameters:
    `msg` - the detail message.
    `nested` - the nested `Throwable`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2006 Apache Software Foundation. All Rights Reserved.